DOM::HTMLElement class Reference (khtml Library)

| # khtml Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# DOM::HTMLElement Class Reference

All HTML element interfaces derive from this class. More...

`#include <html_element.h>`

Inheritance diagram for DOM::HTMLElement:

[legend]
Collaboration diagram for DOM::HTMLElement:

[legend]
List of all members.

## Public Member Functions
| HTMLElement (const HTMLElement &other)
| HTMLElement (const Node &other)
HTMLElement & | operator= (const HTMLElement &other)
HTMLElement & | operator= (const Node &other)
DOMString | id () const
| The element's identifier.
void | setId (const DOMString &)
| see id
DOMString | title () const
| The element's advisory title.
void | setTitle (const DOMString &)
| see title
DOMString | lang () const
| Language code defined in RFC 1766.
void | setLang (const DOMString &)
| see lang
DOMString | dir () const
| Specifies the base direction of directionally neutral text and the directionality of tables.
void | setDir (const DOMString &)
| see dir
DOMString | className () const
| The class attribute of the element.
void | setClassName (const DOMString &)
| see className
DOMString | innerHTML () const
| The HTML code contained in this element.
void | setInnerHTML (const DOMString &html)
| Set the HTML content of this node.
DOMString | innerText () const
| The text contained in this element.
void | setInnerText (const DOMString &text)
| Set the text content of this node.
HTMLCollection | children () const
| Retrieves a collection of nodes that are direct descendants of this node.
HTMLCollection | all () const
| Retrieves a collection of all nodes that descend from this node.
void | removeCSSProperty (const DOMString &property)
void | addCSSProperty (const DOMString &property, const DOMString &value)
## Protected Member Functions
| HTMLElement (HTMLElementImpl *impl)
void | assignOther (const Node &other, int elementId)
## Friends
class | HTMLDocument
class | ::KHTMLView
class | HTMLTableElement
class | HTMLTableRowElement
class | HTMLTableSectionElement

## Detailed Description

All HTML element interfaces derive from this class.

Elements that only expose the HTML core attributes are represented by the base `HTMLElement` interface. These elements are as follows:

HEAD

special: SUB, SUP, SPAN, BDO

font: TT, I, B, U, S, STRIKE, BIG, SMALL

phrase: EM, STRONG, DFN, CODE, SAMP, KBD, VAR, CITE, ACRONYM, ABBR

list: DD, DT

NOFRAMES, NOSCRIPT

ADDRESS, CENTER

Note. The `style` attribute for this interface is reserved for future usage.

Definition at line 68 of file html_element.h.

## Member Function Documentation

DOMString HTMLElement::id | ( |  | ) | const

| The element's identifier. See the id attribute definition in HTML 4.0. Definition at line 65 of file html_element.cpp.

void HTMLElement::setId | ( | const DOMString & |  | ) |

| see id Definition at line 71 of file html_element.cpp.

DOMString HTMLElement::title | ( |  | ) | const

| The element's advisory title. See the title attribute definition in HTML 4.0. Definition at line 76 of file html_element.cpp.

void HTMLElement::setTitle | ( | const DOMString & |  | ) |

| see title Definition at line 82 of file html_element.cpp.

DOMString HTMLElement::lang | ( |  | ) | const

| Language code defined in RFC 1766. See the lang attribute definition in HTML 4.0. Definition at line 87 of file html_element.cpp.

void HTMLElement::setLang | ( | const DOMString & |  | ) |

| see lang Definition at line 93 of file html_element.cpp.

DOMString HTMLElement::dir | ( |  | ) | const

| Specifies the base direction of directionally neutral text and the directionality of tables. See the dir attribute definition in HTML 4.0. Definition at line 98 of file html_element.cpp.

void HTMLElement::setDir | ( | const DOMString & |  | ) |

| see dir Definition at line 104 of file html_element.cpp.

DOMString HTMLElement::className | ( |  | ) | const

| The class attribute of the element. This attribute has been renamed due to conflicts with the "class" keyword exposed by many languages. See the class attribute definition in HTML 4.0. Definition at line 109 of file html_element.cpp.

void HTMLElement::setClassName | ( | const DOMString & |  | ) |

| see className Definition at line 115 of file html_element.cpp.

DOMString HTMLElement::innerHTML | ( |  | ) | const

| The HTML code contained in this element. This function is not part of the DOM specifications as defined by the w3c. Definition at line 134 of file html_element.cpp.

void HTMLElement::setInnerHTML | ( | const DOMString & | html | ) |

  | Set the HTML content of this node. Exceptions:
  DOMException | NO_MODIFICATION_ALLOWED_ERR: Raised if there is the element does not allow children.
Definition at line 140 of file html_element.cpp.

DOMString HTMLElement::innerText | ( |  | ) | const

| The text contained in this element. This function is not part of the DOM specifications as defined by the w3c. Definition at line 149 of file html_element.cpp.

void HTMLElement::setInnerText | ( | const DOMString & | text | ) |

  | Set the text content of this node. Exceptions:
  DOMException | NO_MODIFICATION_ALLOWED_ERR: Raised if there is the element does not allow children.
Definition at line 155 of file html_element.cpp.

HTMLCollection HTMLElement::children | ( |  | ) | const

| Retrieves a collection of nodes that are direct descendants of this node. IE-specific extension. Definition at line 164 of file html_element.cpp.

HTMLCollection HTMLElement::all | ( |  | ) | const

| Retrieves a collection of all nodes that descend from this node. IE-specific extension. Definition at line 170 of file html_element.cpp.

The documentation for this class was generated from the following files:

- html_element.h
- html_element.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:37:36 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001